Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 230927 (CVE-2007-1103)

Summary: CVE-2007-1103: tor information disclosure
Product: [Fedora] Fedora Reporter: Ville Skytt√§ <ville.skytta>
Component: torAssignee: Enrico Scholz <rh-bugzilla>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: medium    
Version: 6CC: fedora-security-list
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-11-01 14:44:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Ville Skyttä 2007-03-04 19:45:17 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-1103

"Tor does not verify a node's uptime and bandwidth advertisements, which allows
remote attackers who operate a low resource node to make false claims of greater
resources, which places the node into use for many circuits and compromises the
anonymity of traffic sources and destinations."

All <= 0.1.1.26 versions reportedly affected.  Upstream statement:
http://blogs.law.harvard.edu/anonymous/2007/02/26/the-rumors-of-our-demise/

Comment 1 Lubomir Kundrak 2007-11-01 14:44:12 UTC
Closing: I believe this is a design issue and relatively well documented:
"Feb 25 16:16:02.628 [notice] Tor v0.1.1.xx. This is experimental software. Do
not rely on it for strong anonymity."